package com.energy.manage.service.domain.dto.anemometertower;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

import java.util.List;

/**
 * 添加测风塔
 */
@Getter
@Setter
@ApiModel
public class AnemometerTowerCreateDto {

    /**
     * 测风塔名称
     */
    @ApiModelProperty("测风塔名称")
    private String anemometerName;
    /**
     * 经度
     */
    @ApiModelProperty("经度")
    private String longitude;
    /**
     * 纬度
     */
    @ApiModelProperty("纬度")
    private String latitude;


    @ApiModelProperty("测风塔高度集合")
    private List<AnemometerTowerHeightListDto> anemometerTowerHeightDtoList;


    @Getter
    @Setter
    @ApiModel
    public static class AnemometerTowerHeightListDto {

        /**
         * 测风塔高度
         */
        @ApiModelProperty("测风塔高度")
        private String anemometerHeight;


    }


}
