package com.energy.manage.service.domain.dto.windenginemill;

import com.energy.manage.common.po.windenginemill.WindEngineMillPO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

@Getter
@Setter
@ApiModel
public class WindEngineMillCreateDto {

    /**
     * 编号
     */
    @ApiModelProperty("编号")
    private String millTypeCode;
    /**
     * 机型型号
     */
    @ApiModelProperty("机型型号")
    private String machineTypeCode;
    /**
     * 厂商名称
     */
    @ApiModelProperty("厂商名称")
    private String manufacturerName;
    /**
     * 厂商编号
     */
    @ApiModelProperty("厂商编号")
    private String manufacturerCode;
    /**
     * 品牌名称
     */
    @ApiModelProperty("品牌名称")
    private String brand;
    /**
     * 塔筒高度
     */
    @ApiModelProperty("塔筒高度")
    private String towerHeight;
    /**
     * 叶片长度
     */
    @ApiModelProperty("叶片长度")
    private String vaneLong;

    @ApiModelProperty("驱动类型")
    private Integer curvedMotionType;

}
