package com.energy.manage.service.domain.vo.excel;

import com.alibaba.excel.annotation.ExcelProperty;
import lombok.Data;

/**
 * 导入信息
 */
@Data
public class WindFieldExceVo {

    /**
     * 风场名称
     */
    @ExcelProperty(value = "风场名称", index = 1)
    private String fieldName;
    /**
     * 空气密度
     */
    @ExcelProperty(value = "空气密度", index = 2)
    private String density;
    /**
     * 经度
     */
    @ExcelProperty(value = "经度", index = 3)
    private String longitude;
    /**
     * 纬度
     */
    @ExcelProperty(value = "纬度", index = 4)
    private String latitude;
    /**
     * 海拔高度
     */
    @ExcelProperty(value = "海拔高度", index = 5)
    private String elevationHeight;


}
