package com.energy.manage.service.domain.vo.windenginegroup;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.Getter;
import lombok.Setter;

/**
 * 风机对象
 */
@Getter
@Setter
@ApiModel
public class WindEngineGroupVo {

    /**
     * 风场编号
     */
    @ApiModelProperty("风场编号")
    private String fieldCode;
    /**
     * 风机编号
     */
    @ApiModelProperty("风机编号")
    private String engineCode;
    /**
     * 风机名称
     */
    @ApiModelProperty("风机名称")
    private String engineName;
    /**
     * 机型编号
     */
    @ApiModelProperty("机型编号")
    private String millTypeCode;
    /**
     * 额定容量
     */
    @ApiModelProperty("额定容量")
    private String ratedCapacity;
    /**
     * 海拔高度
     */
    @ApiModelProperty("海拔高度")
    private String elevationHeight;
    /**
     * 轮毂高度
     */
    @ApiModelProperty("轮毂高度")
    private String hubHeight;
    /**
     * 经度
     */
    @ApiModelProperty("经度")
    private String longitude;
    /**
     * 维度
     */
    @ApiModelProperty("维度")
    private String latitude;
    /**
     * 状态
     */
    @ApiModelProperty("状态")
    private Integer state;
    /**
     * 是否标杆风机
     */
    @ApiModelProperty("是否标杆风机")
    private Integer sightcing;



}
