package com.energy.manage.service.mappers.windfield;

import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.system.SysUserRolePO;
import com.energy.manage.common.po.windfield.WindFieldPO;
import com.energy.manage.service.domain.dto.windfield.WindFieldPageDto;
import com.energy.manage.service.domain.vo.windfield.WindFieldPageVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * 风场信息mapper
 */
@Repository
public interface WindFieldMapper extends MyMapper<WindFieldPO> {


    int updateWindFieldEngineNumberByFieldCode(@Param("fieldCode") String fieldCode);


    List<WindFieldPageVo> selectWindFieldPageByfield(@Param("item") WindFieldPageDto windFieldPageDto);


}
