package com.energy.manage.common.po.windenginegroup;

import com.energy.manage.common.base.NewBaseDomain;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;

import javax.persistence.GeneratedValue;
import javax.persistence.Table;

@Data
@Table(name = "wind_engine_group")
@EqualsAndHashCode(callSuper = false)
@Accessors(chain = true)
public class WindEngineGroupPO extends NewBaseDomain {

    /**
     * 风场编号
     */
    private String fieldCode;
    /**
     * 风机名称
     */
    private String engineName;
    /**
     * 风机编号
     */
    private String engineCode;
    /**
     * 机型编号uuid
     */
    private String millTypeCode;
    /**
     * 额定容量
     */
    private String ratedCapacity;
    /**
     * 海拔高度
     */
    private String elevationHeight;
    /**
     * 轮毂高度
     */
    private String hubHeight;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 维度
     */
    private String latitude;
    /**
     * 状态
     */
    private Integer state;
    /**
     * 是否标杆风机
     */
    private Integer sightcing;
    /**
     * 删除状态
     */
    private Integer delState;

}
