package com.energy.manage.service.mappers.windenginegroup;


import com.energy.manage.common.mapper.MyMapper;
import com.energy.manage.common.po.windenginegroup.WindEngineGroupPO;
import com.energy.manage.service.domain.dto.windenginegroup.WindEngineGroupPageDto;
import com.energy.manage.service.domain.vo.windenginegroup.WindEngineGroupPageVo;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;


@Repository
public interface WindEngineGroupMapper extends MyMapper<WindEngineGroupPO> {


   List<WindEngineGroupPageVo> selectWindEngineGroupByNames(@Param("item") WindEngineGroupPageDto windEngineGroupPageDto);



}
